[xivo-extrafeatures]

exten = _***34.,1,NoOp(Pause/Unpause request for agent ${EXTEN} )
same = n,Set(agent_extension=${EXTEN:-4:4})
same = n,Goto(xivo-extrafeatures,***34,1)
same = n,Hangup()

exten = ***34,1,NoOp(Pause/Unpause request for agent at extension ${agent_extension} )
same = n,Answer()
same = n,Agi(xuc-request.py,togglePause,${agent_extension})
same = n,GotoIf($["${WS_RESULT_CODE}" == "200"]?success:failed)
same = n(failed),Playback(error-sorry)
same = n(success),Hangup()

exten = _***30.,1,NoOp(Login/logout request for agent ${EXTEN} )
same = n,Set(agent_extension=${EXTEN:-4:4})
same = n,Set(agent_login=${DEVICE_STATE(Custom:***30${agent_extension})})
same = n,GotoIf($["${agent_login}" == "NOT_INUSE"]?login:logout)
same = n(login),NoOp(Logging agent on)
same = n(wrongNumber),Read(agent_number,agent-user,4,,3)
same = n,GotoIf($[${LEN(${agent_number})} < 4]?wrongNumber:process)
same = n(process),NoOp(Logging agent on)
same = n,Answer()
same = n,Agi(xuc-request.py,agentLogin,${agent_extension},${agent_number})
same = n,DumpChan()
same = n,NoOp(${WS_RESULT_MSG:-14:14})
same = n,GotoIf($["${WS_RESULT_CODE}" == "200"]?loginSuccess:loginFailed)
same = n(loginFailed),GotoIf($["${WS_RESULT_MSG:-14:14}" == "does not exist"]?notFound)
same = n,Playback(error-sorry)
same = n,Hangup()
same = n(notFound),Playback(agent-incorrect)
same = n,Goto(login)

same = n(loginSuccess),Playback(agent-loginok)
same = n,Hangup()
same = n(logout),NoOp(Logging agent out)
same = n,Answer()
same = n,Agi(xuc-request.py,agentLogout,${agent_extension})
same = n,GotoIf($["${WS_RESULT_CODE}" == "200"]?logoutSuccess:logoutFailed)
same = n(logoutFailed),Playback(error-sorry)
same = n,Hangup()
same = n(logoutSuccess),Playback(agent-loggedoff)
same = n,Hangup()
